* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: #09090a;
  color: white;
  height: 100vh;
}

header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 48px;
  position: fixed;
  width: 100%;
  background-color: #09090a;
}

button {
  padding: 16px 24px;
  border: 1px solid #8b5cf6;
  border-radius: 8px;
  background-color: transparent;
  color: white;
  display: flex;
  align-items: center;
  font-family: "Inter";
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
}


input {
  appearance: none;
  -webkit-appearance: none;
  width: 64px;
  height: 64px;
  border: 2px solid #a78bfa;
  border-radius: 8px;
}

input:checked {
  border: 2px solid #a78bfa;
  background: #8b5cf6;
}

.days {
  display: flex;
  gap: 48px;
  margin-left: 32px;
}

.day {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.day div {
  margin-bottom: 8px;
  font-family: "Roboto Mono";
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 125%;
  display: flex;
  align-items: center;
  text-align: center;
  color: #a1a1aa;
  flex: none;
  order: 0;
  flex-grow: 0;
}

form {
  display: flex;
  padding: 182px 0 48px 48px;
  width: fit-content;
}

.habits {
  gap: 24px;
  margin-top: 60px;
  display: flex;
  flex-direction: column;
}

.habit {
  font-size: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 64px;
  height: 64px;
}

@media (max-width: 570px) {
  button div {
    display: none;
  } 
}